Foxit PDF SDK

Public Member Functions | List of all members
FoxitPDFSDKPython2.ParagraphEditingProviderCallback Class Reference

Inherits FoxitPDFSDKPython2._object.

## Public Member Functions
def | AddUndoItem (undo_item)
| A callback function used to notify the page to add undo operation. More...
def | GetClientRect (document)
| A callback function to get the client rectangle in device coordinate system. More...
def | GetCurrentPageIndex (document)
| A callback function used to get current page index. More...
def | GetPageRect (document, page_index)
| A callback function used to get page rectangle in device coordinate system. More...
def | GetPageViewHandle (document, page_index)
| A callback function to get the page view window handle. More...
def | GetPageVisibleRect (document, page_index)
| A callback function used to get visible page rectangle in device coordinate system. More...
def | GetRenderMatrix (document, page_index)
| A callback function to get the render matrix. More...
def | GetRotation (document, page_index)
| A callback function used to get the page view rotate. More...
def | GetScale (document, page_index)
| A callback function to get the scale of page. More...
def | GetVisiblePageIndexArray (document)
| A callback function used to get visible page indexes. More...
def | GotoPageView (document, page_index, left, top)
| A callback function to go to page view. More...
def | InvalidateRect (document, page_index, invalid_rects)
| A callback function used to invalidate page rectangle. More...
def | NotifyTextInputReachLimit (document, page_index)
| A callback function used to notify text input reach limit. More...
def | Release ()
| A callback function used to release current callback object itself. More...
def | SetDocChangeMark (document)
| A callback function used to notify the document have changed. More...

## Detailed Description

This class represents a callback object for paragraph edit provider. All the pure virtual functions in this class are used as callback functions and should be implemented by user.

## Member Function Documentation

## ◆ AddUndoItem()

def FoxitPDFSDKPython2.ParagraphEditingProviderCallback.AddUndoItem | ( |  | undo_item | ) |

A callback function used to notify the page to add undo operation.

Parameters

  [in] | undo_item | The undo item object.

Returns
  None.

## ◆ GetClientRect()

def FoxitPDFSDKPython2.ParagraphEditingProviderCallback.GetClientRect | ( |  | document | ) |

A callback function to get the client rectangle in device coordinate system.

Returns
  The client rectangle.

## ◆ GetCurrentPageIndex()

def FoxitPDFSDKPython2.ParagraphEditingProviderCallback.GetCurrentPageIndex | ( |  | document | ) |

A callback function used to get current page index.

Returns
  The page index.

## ◆ GetPageRect()

def FoxitPDFSDKPython2.ParagraphEditingProviderCallback.GetPageRect | ( |  | document,
|  |  | page_index
| ) |  |

A callback function used to get page rectangle in device coordinate system.

Parameters

  [in] | page_index | The page index.

Returns
  The page rectangle.

## ◆ GetPageViewHandle()

def FoxitPDFSDKPython2.ParagraphEditingProviderCallback.GetPageViewHandle | ( |  | document,
|  |  | page_index
| ) |  |

A callback function to get the page view window handle.

Parameters

  [in] | page_index | The page index.

Returns
  The page view window handle.

## ◆ GetPageVisibleRect()

def FoxitPDFSDKPython2.ParagraphEditingProviderCallback.GetPageVisibleRect | ( |  | document,
|  |  | page_index
| ) |  |

A callback function used to get visible page rectangle in device coordinate system.

Parameters

  [in] | page_index | The page index.

Returns
  The page visble rectangle.

## ◆ GetRenderMatrix()

def FoxitPDFSDKPython2.ParagraphEditingProviderCallback.GetRenderMatrix | ( |  | document,
|  |  | page_index
| ) |  |

A callback function to get the render matrix.

Parameters

  [in] | page_index | The page index.

Returns
  The matrix.

## ◆ GetRotation()

def FoxitPDFSDKPython2.ParagraphEditingProviderCallback.GetRotation | ( |  | document,
|  |  | page_index
| ) |  |

A callback function used to get the page view rotate.

Parameters

  [in] | page_index | The page index.

Returns
  The indent value.

## ◆ GetScale()

def FoxitPDFSDKPython2.ParagraphEditingProviderCallback.GetScale | ( |  | document,
|  |  | page_index
| ) |  |

A callback function to get the scale of page.

Parameters

  [in] | page_index | The page index.

Returns
  The scale value. The returned value should be greater than 0.

## ◆ GetVisiblePageIndexArray()

def FoxitPDFSDKPython2.ParagraphEditingProviderCallback.GetVisiblePageIndexArray | ( |  | document | ) |

A callback function used to get visible page indexes.

Returns
  The visble page index array.

## ◆ GotoPageView()

def FoxitPDFSDKPython2.ParagraphEditingProviderCallback.GotoPageView | ( |  | document,
|  |  | page_index,
|  |  | left,
|  |  | top
| ) |  |

A callback function to go to page view.

Parameters

  [in] | page_index | The page index.
  [in] | left | The left point where left mouse button is up in the page, in [PDF coordinate system] ().
  [in] | top | The top point where left mouse button is up in the page, in [PDF coordinate system] ().

Returns
  true means successful, while false means not.

## ◆ InvalidateRect()

def FoxitPDFSDKPython2.ParagraphEditingProviderCallback.InvalidateRect | ( |  | document,
|  |  | page_index,
|  |  | invalid_rects
| ) |  |

A callback function used to invalidate page rectangle.

Parameters

  [in] | page_index | The page index.
  [in] | rects | The invalid areas. The rectangle in invalid_rects is in device coordinate system.

Returns
  None.

## ◆ NotifyTextInputReachLimit()

def FoxitPDFSDKPython2.ParagraphEditingProviderCallback.NotifyTextInputReachLimit | ( |  | document,
|  |  | page_index
| ) |  |

A callback function used to notify text input reach limit.

Parameters

  [in] | page_index | The page index.

Returns
  None.

## ◆ Release()

def FoxitPDFSDKPython2.ParagraphEditingProviderCallback.Release | ( |  | ) |

A callback function used to release current callback object itself.

Returns
  None.

## ◆ SetDocChangeMark()

def FoxitPDFSDKPython2.ParagraphEditingProviderCallback.SetDocChangeMark | ( |  | document | ) |

A callback function used to notify the document have changed.

Parameters

  [in] | document | The valid pdf document.

Returns
  None.